---
- name: "Téléchargement de etcd"
  get_url:
    url: "https://github.com/etcd-io/etcd/releases/download/v3.4.15/etcd-v3.4.15-linux-amd64.tar.gz"    
    dest: "~/"

- name: "Décompression de etcd"
  unarchive:
    src: "~/etcd-v3.4.15-linux-amd64.tar.gz"
    dest: "~/"
    remote_src: yes

- name: "Installation de etcd"
  copy:
    src: "{{ item }}"
    dest: "/usr/local/bin"
    remote_src: yes
    mode: '0755'
  with_items:
    - ~/etcd-v3.4.15-linux-amd64/etcd 
    - ~/etcd-v3.4.15-linux-amd64/etcdctl
